{#
/**
 * @file
 * Template to display a view as a table with rows and columns flipped.
 *
 * @see template_preprocess_views_flipped_table() -- sample
 * @see \Drupal\rg_product\Controller\ProductComparisonController::comparisonTable
 * @see \Drupal\rg_product\Plugin\Block\KeyFeatures
 * @see \Drupal\rg_product\Plugin\Block\TechnicalSpecs
 *
 * @ingroup themeable
 */
#}
<div class="view-product-accordion">
  <div class="view-content">
    {% set classes = [
      'product-attributes'
    ] %}
    <table{{ attributes.addClass(classes) }}>

      {% if data %}
        <h2 class="popup-title">COMPARE PRODUCTS</h2>
        <caption>
          <a href="/closeComparison" class="use-ajax close-popup-link"><i class="fa fa-times"></i></a>
        </caption>
        <thead>
        <tr>
          {% for item in data %}
            <td class="views-field">
              {% if item.title %}
                <div class="popup-header popup-header-image">
                  <div>
                    <div
                        class="field field--name-field-variation-image field--type-image field--label-hidden field__item">
                      <a href="{{ item.url }}">
                        {{ item.image }}
                      </a>
                    </div>
                  </div>
                </div>
                <div class="popup-header popup-header-text">
                  <h6>
                    <a href="{{ item.url }}" hreflang="en">{{ item.title }}</a>
                  </h6>
                  <a class="use-ajax comparison-popup-remove-link"
                     href="/compare/remove/{{ item.variation_id }}">Remove</a>
                </div>
              {% endif %}
            </td>
          {% endfor %}
        </tr>
        </thead>
      {% endif %}

      <tbody>
      {% for field_name, row in rows_flipped %}
        <tr>
          <td>
            <div class="field-name-{{ field_name }}">{{ row.header.label }}
              {% if row.header.description is not empty %}
                <span class="field--description popup">
                  <i class="fa fa-info-circle"></i>
                  <span class="popuptext" id="myPopup">{{ row.header.description }}</span>
                </span>
              {% endif %}
            </div>
          </td>
          {% for content in row.values %}
            <td>
              <div class="field-value field-value-{{ field_name }}">{{ content }}</div>
            </td>
          {% endfor %}
        </tr>
      {% endfor %}
      </tbody>
    </table>

  </div>
</div>